Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-41987

Cryptic error message when loading JnlpSlaveAgentProtocol4

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      Missing or old instance-identity module (for example, due to some test classpath configurations) produces a cryptic error message when JnlpSlaveAgentProtocol4 fails to load.

        Attachments

          Issue Links

            Activity

            Hide
            scm_issue_link SCM/JIRA link daemon added a comment -

            Code changed in jenkins
            User: Jesse Glick
            Path:
            core/src/main/java/jenkins/slaves/JnlpSlaveAgentProtocol4.java
            http://jenkins-ci.org/commit/jenkins/dbf5efa6ae60c30d00afca61d3fd24f56f2c860c
            Log:
            JENKINS-41987 Improved message.

            Show
            scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: Jesse Glick Path: core/src/main/java/jenkins/slaves/JnlpSlaveAgentProtocol4.java http://jenkins-ci.org/commit/jenkins/dbf5efa6ae60c30d00afca61d3fd24f56f2c860c Log: JENKINS-41987 Improved message.
            Hide
            scm_issue_link SCM/JIRA link daemon added a comment -

            Code changed in jenkins
            User: Jesse Glick
            Path:
            core/src/main/java/jenkins/slaves/JnlpSlaveAgentProtocol4.java
            http://jenkins-ci.org/commit/jenkins/2f92482ed3b39d4aeec327cc7401663cfe926d99
            Log:
            Merge pull request #2749 from jglick/JnlpSlaveAgentProtocol4-robustness

            [FIXED JENKINS-41987] Check for null return values from InstanceIdentityProvider methods

            Compare: https://github.com/jenkinsci/jenkins/compare/532156e60948...2f92482ed3b3

            Show
            scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: Jesse Glick Path: core/src/main/java/jenkins/slaves/JnlpSlaveAgentProtocol4.java http://jenkins-ci.org/commit/jenkins/2f92482ed3b39d4aeec327cc7401663cfe926d99 Log: Merge pull request #2749 from jglick/JnlpSlaveAgentProtocol4-robustness [FIXED JENKINS-41987] Check for null return values from InstanceIdentityProvider methods Compare: https://github.com/jenkinsci/jenkins/compare/532156e60948...2f92482ed3b3
            Hide
            scm_issue_link SCM/JIRA link daemon added a comment -

            Code changed in jenkins
            User: Jesse Glick
            Path:
            core/src/main/java/jenkins/slaves/JnlpSlaveAgentProtocol4.java
            http://jenkins-ci.org/commit/jenkins/e2a8c0efd149b4e08bf1c61768f2010fa9dfe8bc
            Log:
            JENKINS-41987 Improved message.

            (cherry picked from commit dbf5efa6ae60c30d00afca61d3fd24f56f2c860c)

            Show
            scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: Jesse Glick Path: core/src/main/java/jenkins/slaves/JnlpSlaveAgentProtocol4.java http://jenkins-ci.org/commit/jenkins/e2a8c0efd149b4e08bf1c61768f2010fa9dfe8bc Log: JENKINS-41987 Improved message. (cherry picked from commit dbf5efa6ae60c30d00afca61d3fd24f56f2c860c)
            Hide
            scm_issue_link SCM/JIRA link daemon added a comment -

            Code changed in jenkins
            User: Jesse Glick
            Path:
            pom.xml
            http://jenkins-ci.org/commit/credentials-binding-plugin/2108a94fd6408be42b1e3c20256a0359e4cf37e0
            Log:
            Adding a dep on instance-identity to suppress the warning from JENKINS-41987.

            Show
            scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: Jesse Glick Path: pom.xml http://jenkins-ci.org/commit/credentials-binding-plugin/2108a94fd6408be42b1e3c20256a0359e4cf37e0 Log: Adding a dep on instance-identity to suppress the warning from JENKINS-41987 .
            Hide
            scm_issue_link SCM/JIRA link daemon added a comment -

            Code changed in jenkins
            User: Mark Waite
            Path:
            pom.xml
            http://jenkins-ci.org/commit/git-client-plugin/edc937d54f5001ed97cf74f330a9492c10d5a30f
            Log:
            Add test dependency on instance-identity

            The CredentialsTest was suffering intermittent failures with a report that:

            1) Error injecting constructor, java.security.KeyStoreException: JENKINS-41987: no X509Certificate found; perhaps instance-identity module is missing or too old
            at jenkins.slaves.JnlpSlaveAgentProtocol4.<init>(JnlpSlaveAgentProtocol4.java:101)

            Caused by: java.security.KeyStoreException: JENKINS-41987: no X509Certificate found; perhaps instance-identity module is missing or too old
            at jenkins.slaves.JnlpSlaveAgentProtocol4.<init>(JnlpSlaveAgentProtocol4.java:105)
            at jenkins.slaves.JnlpSlaveAgentProtocol4$$FastClassByGuice$$b470638c.newInstance(<generated>)
            at com.google.inject.internal.cglib.reflect.$FastConstructor.newInstance(FastConstructor.java:40)
            at com.google.inject.internal.DefaultConstructionProxyFactory$1.newInstance(DefaultConstructionProxyFactory.java:61)
            at com.google.inject.internal.ConstructorInjector.provision(ConstructorInjector.java:105)
            at com.google.inject.internal.ConstructorInjector.construct(ConstructorInjector.java:85)
            at com.google.inject.internal.ConstructorBindingImpl$Factory.get(ConstructorBindingImpl.java:267)
            at com.google.inject.internal.ProviderToInternalFactoryAdapter$1.call(ProviderToInternalFactoryAdapter.java:46)
            at com.google.inject.internal.InjectorImpl.callInContext(InjectorImpl.java:1103)
            at com.google.inject.internal.ProviderToInternalFactoryAdapter.get(ProviderToInternalFactoryAdapter.java:40)
            ... 14 more

            The most recent versions of instance-identity require a Jenkins 2 base
            version. Since this plugin is still based on Jenkins 1.625, it cannot use
            the most recent instance-identity. The 1.5.1 release of instance-identity
            seems to be the latest version which supports Jenkins 1.625.

            Because the failure is intermittent, I'm not yet confident this resolves
            the problem. Tests will run on this commit in various environments to
            see if it helps.

            Compare: https://github.com/jenkinsci/git-client-plugin/compare/1ddecc20011f^...edc937d54f50

            Show
            scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: Mark Waite Path: pom.xml http://jenkins-ci.org/commit/git-client-plugin/edc937d54f5001ed97cf74f330a9492c10d5a30f Log: Add test dependency on instance-identity The CredentialsTest was suffering intermittent failures with a report that: 1) Error injecting constructor, java.security.KeyStoreException: JENKINS-41987 : no X509Certificate found; perhaps instance-identity module is missing or too old at jenkins.slaves.JnlpSlaveAgentProtocol4.<init>(JnlpSlaveAgentProtocol4.java:101) Caused by: java.security.KeyStoreException: JENKINS-41987 : no X509Certificate found; perhaps instance-identity module is missing or too old at jenkins.slaves.JnlpSlaveAgentProtocol4.<init>(JnlpSlaveAgentProtocol4.java:105) at jenkins.slaves.JnlpSlaveAgentProtocol4$$FastClassByGuice$$b470638c.newInstance(<generated>) at com.google.inject.internal.cglib.reflect.$FastConstructor.newInstance(FastConstructor.java:40) at com.google.inject.internal.DefaultConstructionProxyFactory$1.newInstance(DefaultConstructionProxyFactory.java:61) at com.google.inject.internal.ConstructorInjector.provision(ConstructorInjector.java:105) at com.google.inject.internal.ConstructorInjector.construct(ConstructorInjector.java:85) at com.google.inject.internal.ConstructorBindingImpl$Factory.get(ConstructorBindingImpl.java:267) at com.google.inject.internal.ProviderToInternalFactoryAdapter$1.call(ProviderToInternalFactoryAdapter.java:46) at com.google.inject.internal.InjectorImpl.callInContext(InjectorImpl.java:1103) at com.google.inject.internal.ProviderToInternalFactoryAdapter.get(ProviderToInternalFactoryAdapter.java:40) ... 14 more The most recent versions of instance-identity require a Jenkins 2 base version. Since this plugin is still based on Jenkins 1.625, it cannot use the most recent instance-identity. The 1.5.1 release of instance-identity seems to be the latest version which supports Jenkins 1.625. Because the failure is intermittent, I'm not yet confident this resolves the problem. Tests will run on this commit in various environments to see if it helps. Compare: https://github.com/jenkinsci/git-client-plugin/compare/1ddecc20011f ^...edc937d54f50

              People

              • Assignee:
                jglick Jesse Glick
                Reporter:
                jglick Jesse Glick
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: